Skip to main content
POST
/
texml
/
Accounts
/
{account_sid}
/
Calls
/
{call_sid}
/
Siprec
/
{siprec_sid}
.json
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response = await client.texml.accounts.calls.siprec.siprecSidJson('siprec_sid', {
  account_sid: 'account_sid',
  call_sid: 'call_sid',
});

console.log(response.account_sid);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.texml.accounts.calls.siprec.siprec_sid_json(
siprec_sid="siprec_sid",
account_sid="account_sid",
call_sid="call_sid",
)
print(response.account_sid)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Texml.Accounts.Calls.Siprec.SiprecSidJson(
context.TODO(),
"siprec_sid",
telnyx.TexmlAccountCallSiprecSiprecSidJsonParams{
AccountSid: "account_sid",
CallSid: "call_sid",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.AccountSid)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.calls.siprec.SiprecSiprecSidJsonParams;
import com.telnyx.sdk.models.texml.accounts.calls.siprec.SiprecSiprecSidJsonResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

SiprecSiprecSidJsonParams params = SiprecSiprecSidJsonParams.builder()
.accountSid("account_sid")
.callSid("call_sid")
.siprecSid("siprec_sid")
.build();
SiprecSiprecSidJsonResponse response = client.texml().accounts().calls().siprec().siprecSidJson(params);
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

response = telnyx.texml.accounts.calls.siprec.siprec_sid_json(
"siprec_sid",
account_sid: "account_sid",
call_sid: "call_sid"
)

puts(response)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$response = $client->texml->accounts->calls->siprec->siprecSidJson(
'siprec_sid',
accountSid: 'account_sid',
callSid: 'call_sid',
status: 'stopped',
);

var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx texml:accounts:calls:siprec siprec-sid-json \
--api-key 'My API Key' \
--account-sid account_sid \
--call-sid call_sid \
--siprec-sid siprec_sid
curl --request POST \
--url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Calls/{call_sid}/Siprec/{siprec_sid}.json \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data Status=stopped
{
  "account_sid": "61bf923e-5e4d-4595-a110-56190ea18a1b",
  "call_sid": "v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ",
  "sid": "61bf923e-5e4d-4595-a110-56190ea18123",
  "date_updated": "Fri, 11 Aug 2023 19:12:11 +0000",
  "status": "in-progress",
  "uri": "https://api.telnyx.com/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18123/Calls/v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-ai/Siprec/61bf923e-5e4d-4595-a110-56190ea18123",
  "error_code": "<string>"
}
{
"errors": [
{
"detail": "Resource not found"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_sid
string
required

The id of the account the resource belongs to.

call_sid
string
required

The CallSid that identifies the call to update.

siprec_sid
string
required

The SiprecSid that uniquely identifies the Sip Recording.

Body

application/x-www-form-urlencoded

Updates a SIPREC session.

Status
enum<string>

The new status of the resource. Specifying stopped will end the siprec session.

Available options:
stopped
Example:

"stopped"

Response

Successful SIPREC session update response

account_sid
string

The id of the account the resource belongs to.

Example:

"61bf923e-5e4d-4595-a110-56190ea18a1b"

call_sid
string

The id of the call the resource belongs to.

Example:

"v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ"

sid
string

The SID of the siprec session.

Example:

"61bf923e-5e4d-4595-a110-56190ea18123"

date_updated
string

The date and time the siprec session was last updated.

Example:

"Fri, 11 Aug 2023 19:12:11 +0000"

status
enum<string>

The status of the siprec session.

Available options:
in-progress,
stopped
Example:

"in-progress"

uri
string

The URI of the siprec session.

Example:

"https://api.telnyx.com/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18123/Calls/v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-ai/Siprec/61bf923e-5e4d-4595-a110-56190ea18123"

error_code
string

The error code of the siprec session.